Bug 310091 - (CVE-2007-4985) CVE-2007-4985 Infinite loops in ImageMagick's XCF and DCM coders
CVE-2007-4985 Infinite loops in ImageMagick's XCF and DCM coders
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=low,source=idefense,public=200...
: Security
Depends On: 411331 411341 411351 411361 411371 411381 411391
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 18:41 EDT by Red Hat Product Security
Modified: 2016-03-04 05:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 01:57:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch from Jonathan Smith (1.40 KB, text/x-patch)
2007-10-29 07:27 EDT, Mark J. Cox (Product Security)
no flags Details

  None (edit)
Description Lubomir Kundrak 2007-09-27 18:41:35 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4985 to the following vulnerability:

ImageMagick before 6.3.5-9 allows context-dependent attackers to cause a denial of service via a crafted image file that triggers (1) an infinite loop in the ReadDCMImage function, related to ReadBlobByte function calls; or (2) an infinite loop in the ReadXCFImage function, related to ReadBlobMSBLong function calls.

References:

http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=596
http://studio.imagemagick.org/pipermail/magick-announce/2007-September/000037.html
http://www.imagemagick.org/script/changelog.php
http://www.securityfocus.com/bid/25764
http://www.frsirt.com/english/advisories/2007/3245
http://www.securitytracker.com/id?1018729
http://secunia.com/advisories/26926
http://xforce.iss.net/xforce/xfdb/36740
Comment 1 Mark J. Cox (Product Security) 2007-10-29 07:27:22 EDT
Created attachment 241631 [details]
backported patch from Jonathan Smith
Comment 4 Red Hat Bugzilla 2009-10-23 15:04:04 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.